%define momorel 5

Summary: Utility to clean up & pretty print html files
Name:    tidy
Version: 20030205
Release: %{momorel}m
Group:   Applications/Text
License: BSD
Source0:	http://tidy.sourceforge.net/src/%{name}_src.tgz
Source1:	http://tidy.sourceforge.net/docs/%{name}_docs.tgz
Source2:	dot.tidyrc
Patch0:		tidy-CFLAGS.patch
URL:     http://tidy.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# NoSource: 0

%description
When editing HTML it's easy to make mistakes. Wouldn't it be nice if there was
a simple way to fix these mistakes automatically and tidy up sloppy editing
into nicely layed out markup? Well now there is! Dave Raggett's HTML TIDY is a
free utility for doing just that. It also works great on the atrociously hard
to read markup generated by specialized HTML editors and conversion tools, and
can help you identify where you need to pay further attention on making your
pages more accessible to people with disabilities.

%prep
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%setup -q -n %{name} -b 1
%patch0 -p1

%build
export SUPPORT_ACCESSIBILITY_CHECKS=1
export SUPPORT_UTF16_ENCODINGS=1
export SUPPORT_ASIAN_ENCODINGS=1
make clean
CFLAGS="%{optflags}" make -f Makefile

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
### tidy binary
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_libdir}
%{__install} -m755 bin/tab2space bin/tidy %{buildroot}%{_bindir}

### dosuments
%{__mkdir_p} %{buildroot}%{_defaultdocdir}/%{name}-%{version}/api
%{__rm} -rf ./htmldoc/api/CVS
%{__install} -m644 htmldoc/*.* %{buildroot}%{_defaultdocdir}/%{name}-%{version}
%{__install} -m644 htmldoc/api/* %{buildroot}%{_defaultdocdir}/%{name}-%{version}/api
%{__mkdir} -p %{buildroot}%{_datadir}/config-sample/%{name}
%{__install} -m644 %{SOURCE2}  %{buildroot}%{_datadir}/config-sample/%{name}/dot.tidyrc
# remove, however I'm not sure... is it ok?
%{__rm} -rf %{buildroot}%{_docdir}/%{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
# %%doc quickref.html htmldoc/*
# %%doc %{_mandir}/man1/*
%{_bindir}/tidy
%{_bindir}/tab2space
%dir %{_datadir}/config-sample/%{name}
%{_datadir}/config-sample/%{name}/dot.tidyrc

%changelog
* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (20030205-5m)
- revised spec for rpm 4.2.

* Sat Oct 11 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (20030205-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Feb  9 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (20030205-3m)
- add some make options.

* Sat Feb  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (20030205-2m)
  Fix build problem

* Fri Feb  7 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (20030205-1m)
- updated upstream latest source code. (last updated on 2003-02-05)

* Tue Aug 13 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (4.00-1m)
- import
